# -*- coding: utf-8 -*-
# chrono - agendas system
# Copyright (C) 2019  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from rest_framework.response import Response as DRFResponse


class Response(DRFResponse):
    def __init__(self, data=None, *args, **kwargs):
        # add reason for compatibility (https://dev.entrouvert.org/issues/24025)
        if data is not None and 'err_class' in data:
            data['reason'] = data['err_class']
        super(Response, self).__init__(data=data, *args, **kwargs)
